# HubSpot Pulled Objects List

## Marketing Emails

Each Marketing Email object is an email sent to a recipient (email address), that identifies an user in HockeyStack. The object identification is `email_campaign_id.`&#x20;

| HockeyStack Field               | HubSpot Field               |
| ------------------------------- | --------------------------- |
| event\_id                       | id                          |
| identity                        | recipient                   |
| email\_campaign\_id             | campaign.id                 |
| email\_campaign\_name           | campaign.name               |
| email\_subject                  | campaign.subject            |
| email\_type                     | campaign.type               |
| email\_campaign\_internal\_name | marketingEmail.campaignName |

## Form Submissions

Every Form Submission generates an action called "HubSpot Form Filled" in HockeyStack. An object is also created, identified by `hubspot__form_conversion_id`.

| HockeyStack Field                         | HubSpot Field                                                  |
| ----------------------------------------- | -------------------------------------------------------------- |
| hubspot\_\_form\_name\_\_custom           | form.name                                                      |
| hubspot\_\_form\_id\_\_custom             | form.guid                                                      |
| hubspot\_\_form\_page\_url\_\_custom      | form.pageUrl                                                   |
| hubspot\_\_form\_conversion\_id\_\_custom | form.conversionId                                              |
| hubspot\_\_form\_submitted\_at\_\_custom  | submitted                                                      |
| hubspot\_\_{field name}\_\_custom         | The value of the {field name} submitted in the form submission |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hockeystack.com/integrations/marketing-automation/hubspot/hubspot-pulled-actions-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
